import {baseRequest} from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/dev/sms/${url}`, ...arg)
/**
 * 短信
 *
 *
 *
 */
export default {
	// 获取短信分页
	smsPage(data) {
		return request('page', data, 'get')
	},
	// 发送短信
	// {engine:引擎}
	smsSend(data) {
		return request('send', data)
	},
	// 删除短信
	smsDelete(data) {
		return request('delete', data)
	},
	// 获取短信详情
	smsDetail(data) {
		return request('detail', data, 'get')
	}
}
